# $Revision: 1.32.2.2 $, $Date: 2003/12/26 13:35:02 $
#
# Conditional build:
# _with_ipv6        - with IPv6 support
#
Summary:	A GNOME Jabber client
Summary(pl):	Klient Jabber dla GNOME
Summary(pt_BR):	Um cliente GNOME para o Jabber
Name:		gabber
Version:	0.8.7
Release:	5
License:	GPL
Group:		Applications/Communications
Source0:	http://prdownloads.sourceforge.net/gabber/%{name}-%{version}.tar.gz
# Source0-md5:	afd0c258b27dfb386e7ec668a9d371aa
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-ac_fixes.patch
Patch2:		%{name}-omf.patch
Patch3:		%{name}-desktop.patch
URL:		http://gabber.sourceforge.net/
BuildRequires:	ORBit-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gal-devel >= 0.19
BuildRequires:	gdk-pixbuf-gnome-devel
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel >= 1.2.13
BuildRequires:	gnomemm-devel >= 1.2.0
BuildRequires:	gnome-print-devel
BuildRequires:	gtk+-devel >= 1.2.5
BuildRequires:	gtkmm-devel >= 1.2.5
BuildRequires:	intltool
BuildRequires:	libglade-gnome-devel >= 0.17
BuildRequires:	libsigc++1-devel
BuildRequires:	libunicode-devel
BuildRequires:	openssl-devel >= 0.9.6a
BuildRequires:	scrollkeeper
BuildRequires:	xmms-devel
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	scrollkeeper
Requires:	applnk
Requires:	gnupg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_sysconfdir	/etc/X11/GNOME
%define		_mandir		%{_prefix}/man
%define		_omf_dest_dir	%(scrollkeeper-config --omfdir)

%description
Gabber is a Gnome client for the distributed Open Source instant
messaging system called Jabber. Gabber aims to be a fairly complete
client while remaining easy to use, trying to maintain a balance
between too many features and being powerful enough.

%description -l pl
Gabber jest klientem GNOME dla dystrybuowanego na zasadach Open Source
systemu Natychmiastowych Wiadomoci (IM - Instant Messaging) o nazwie
Jabber. Gabber jest kompletnym klientem systemu Jabber pozostajc przy
tym prostym w uyciu.

%description -l pt_BR
Gabber  um cliente GNOME para o sistema distribudo de mensagens
instantneas Jabber. Gabber  um cliente completo, sendo poderoso e ao
mesmo tempo fcil de usar.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
sed -e s/AM_GNOME_GETTEXT/AM_GNU_GETTEXT/ configure.in > configure.in.tmp
mv -f configure.in.tmp configure.in
rm -f missing
intltoolize --copy --force
%{__gettextize}
%{__aclocal} -I %{_aclocaldir}/gnome
%{__autoheader}
%{__autoconf}
%{__automake}
cd jabberoo
rm -f missing
%{__aclocal} -I %{_aclocaldir}/gnome
%{__autoheader}
%{__autoconf}
%{__automake}
cd ..
CXXFLAGS="%{rpmcflags}"
%configure \
	--%{!?debug:dis}%{?debug:en}able-debug \
	--enable-gnome \
	--enable-panel \
	--enable-ssl \
	--enable-screensaver \
	--enable-xmms \
	%{?_with_ipv6:--enable-ipv6} \
	--disable-perl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationsdir=%{_applnkdir}/Network/Communications \
	omf_dest_dir=%{_omf_dest_dir}/%{name}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /usr/bin/scrollkeeper-update
%postun -p /usr/bin/scrollkeeper-update

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%{_sysconfdir}/sound/events/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*
%{_applnkdir}/Network/Communications/*.desktop
%{_datadir}/%{name}
%{_omf_dest_dir}/%{name}
%{_pixmapsdir}/*
%{_datadir}/sounds/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gabber.spec,v $
Revision 1.32.2.2  2003/12/26 13:35:02  ankry
- rel.5: added -desktop patch

Revision 1.32.2.1  2003/07/11 12:00:58  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.32  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.31  2002/10/03 16:45:49  krzak
release 4
fixed omf file patch

Revision 1.30  2002/09/25 18:31:43  kloczek
- added ac_fixes patch which rmoved using AM_ACLOCAL_INCLUDE macro (which is
  in current form incompatible with ac 2.5x).

Revision 1.29  2002/09/12 10:53:09  trojan
- BuildRequires: libsigc++1-devel instead libsigc++-devel

Revision 1.28  2002/08/17 11:17:59  qboosh
- s/xml-i18n-tools/intltool/ in BR, more specific Requires; release 3

Revision 1.27  2002/08/06 12:32:55  qboosh
- BR: gdk-pixbuf-gnome-devel, libglade-gnome-devel; new %%doc

Revision 1.26  2002/06/23 20:52:49  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.25  2002/05/21 23:13:03  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.24  2002/05/17 14:12:51  kloczek
- release 2: fixed omf files install path.

Revision 1.23  2002/04/25 16:20:30  arturs
fixed a small typo

Revision 1.22  2002/04/02 13:35:08  wiget
- don't use subshell
- fix %%debug handling
- release 1.1

Revision 1.21  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.20  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/18 07:56:02  misiek
- updated to 0.8.7

Revision 1.18  2002/02/12 01:15:30  kloczek
- release 3: merge translations from Conectiva.

Revision 1.17  2002/02/11 09:09:34  jajcus
- --with ipv6 option added (but it doesn't seem to work well)

Revision 1.16  2002/01/18 02:12:59  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2002/01/13 15:15:13  kloczek
- release 2; rebuild against gal 0.19.

Revision 1.14  2002/01/12 12:32:48  jajcus
- Version: 0.8.6

Revision 1.13  2001/11/26 10:41:43  kloczek
- updated to 0.8.5,
- rebuild against gal 0.18.

Revision 1.12  2001/11/13 08:16:43  misiek
- small workaround for am

Revision 1.11  2001/11/12 23:58:54  misiek
- updated to 0.8.4

Revision 1.10  2001/07/28 15:05:06  migo
- Summary(es) -> Summary(pl)

Revision 1.9  2001/07/05 12:15:34  kloczek
- added ac_fixes patch which enables passing in normal way optimization
  flags by CFLAGS, CXXFLAGS.

Revision 1.8  2001/07/05 11:30:48  kloczek
- release 5,
- rebuild against gnomemm 1.2.0
- added gnupg to Requires.

Revision 1.7  2001/06/18 05:38:25  kloczek
- release 4: rebuild against latest gnomemm.

Revision 1.6  2001/06/01 12:57:46  misiek
- removed Build/Requires: iconv

Revision 1.5  2001/05/19 04:59:07  kloczek
- release 3: against gnomemm 1.1.19.

Revision 1.4  2001/05/11 19:42:09  kloczek
- release 2: rebuild against openssl 0.9.6a.

Revision 1.3  2001/04/25 11:10:23  kloczek
- added missing scrolkeeper operations.

Revision 1.2  2001/04/25 07:17:27  misiek
use DESTDIR patch

Revision 1.1  2001/04/24 23:37:03  misiek
initial pld version
